package com.dh.flutteradbrix;

import com.igaworks.IgawCommon;
import com.igaworks.adbrix.IgawAdbrix;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;
import android.util.Log;

/** FlutterAdbrixPlugin */
public class FlutterAdbrixPlugin implements MethodCallHandler {

  private Result mResult;

  /** Plugin registration. */
  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "com.dh/flutter_adbrix");
    channel.setMethodCallHandler(new FlutterAdbrixPlugin());
    IgawCommon.autoSessionTracking(registrar.activity().getApplication());
  }

  @Override
  public void onMethodCall(MethodCall call, Result result) {

    this.mResult = result;
    Log.e( "method", "Start");
    switch (call.method) {
      case "Adbrix.FirstTimeExperience":        
      Log.e( "method", "FirstTimeExperience : " + (String)call.arguments);
        IgawAdbrix.firstTimeExperience((String)call.arguments);
        result.success("");
        break;

      case "Adbrix.retention":
      Log.e( "method", "retention");
        IgawAdbrix.retention((String)call.arguments);
        result.success("");
        break;
      default:
        result.notImplemented();
        break;
    }
  }
}
